/** the example (from JPL) which shows
 *  that the generic class represents a
 *  single class as a _defined_ type (not a family of classes), 
 *  and its instances have no generic type memory ("type erasure")
 */
 
public class ClassTest {
	public static void main(String[] args) {

		Cell<String> strCell = new Cell<String>("Hello");
		Cell<Integer> intCell = new Cell<Integer>(25);
		boolean same = (strCell.getClass() == intCell.getClass());
		System.out.println(same);
	}
}
